<?php
// +-------------------------------------------------+
// | 2002-2007 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: elements_graph_ui.class.php,v 1.1.4.1 2017-12-27 09:40:42 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

require_once($class_path.'/elements_list/elements_list_ui.class.php');
/**
 * Classe d'affichage d'un onglet qui affiche une liste d'article du contenu ditorial
 * @author ngantier
 *
 */
class elements_graph_ui extends elements_list_ui {
	
	protected function generate_elements_list($contents){
		global $include_path;
		
		$template_path = $include_path.'/templates/entities_graph.tpl.html';
		if(file_exists($include_path.'/templates/entities_graph_subst.tpl.html')){
			$template_path = $include_path.'/templates/entities_graph_subst.tpl.html';
		}
		if(file_exists($template_path)){
			$h2o = new H2o($template_path);
			// Content -> Structure json  passer au constructeur de la classe dojo permettant de gnrer le graphe
			
			$graph = array('nodes'=> $contents['nodes'], 'links' => $contents['links']);
			return $h2o->render(array('graph' => $graph));
		}
		return '';
	}
	
	/**
	 * drivation permettant de supprimer l'affichage du paginateur
	 */
	public function get_elements_list_nav(){
		
		return '';
	}
	
	public function is_expandable() {
		return false;
	}
}