<?php 
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: titres_uniformes.tpl.php,v 1.65.2.1 2017-11-23 14:09:17 wlair Exp $

if (stristr($_SERVER['REQUEST_URI'], ".tpl.php")) die("no access");

if(!isset($pmb_authors_qualification)) $pmb_authors_qualification = '';
if(!isset($pmb_autorites_verif_js)) $pmb_autorites_verif_js = '';
if(!isset($value_deflt_fonction)) $value_deflt_fonction = '';

$selector_prop = "toolbar=no, dependent=yes,resizable=yes, scrollbars=yes";

$mapping_dojo_inclusion_tu = '';
if(form_mapper::isMapped('tu')){
	$mapping_dojo_inclusion_tu.= '
	     	var formMapper = new FormMapper("tu", "saisie_titre_uniforme");
	     	window["formMapperCallback"] = lang.hitch(formMapper, formMapper.selectorCallback, "tu");';	
}

$titre_uniforme_form = jscript_unload_question();
$titre_uniforme_form.= $pmb_autorites_verif_js!= "" ? "<script type='text/javascript' src='$base_path/javascript/$pmb_autorites_verif_js'></script>":"";
$titre_uniforme_form.= "
<script type='text/javascript'>

function test_form(form) {
	";
	if ($pmb_autorites_verif_js != "") {
		$titre_uniforme_form.= "
			if(typeof check_perso_tu_form == 'function'){
				var check = check_perso_tu_form(form);
				if (check == false) return false;
			}";
	}
	$titre_uniforme_form.=
	"if(form.tu_name.value.length == 0)	{
		alert(\"".$msg['tu_form_submit_error']."\");
		return false;
	}
	unload_off();	
	return true;
}

function confirm_delete() {
    result = confirm(\"".$msg['confirm_suppr']."\");
    if(result) {
        unload_off();
        document.location='./autorites.php?categ=titres_uniformes&sub=delete&id=!!id!!&user_input=!!user_input_url!!&page=!!page!!&nbr_lignes=!!nbr_lignes!!';
	} else
        document.forms['saisie_titre_uniforme'].elements['form_nom'].focus();
}
function check_link(id) {
	w=window.open(document.getElementById(id).value);
	w.focus();
}
</script>

<script src='javascript/ajax.js'></script>
<script type='text/javascript'>
	require(['dojo/ready', 'apps/pmb/gridform/FormEdit','dojo/dom-attr','dojo/dom','apps/form_mapper/FormMapper', 'dojo/_base/lang'], function(ready, FormEdit, domAttr, dom, FormMapper, lang){
	     ready(function(){
	     	domAttr.set(dom.byId('oeuvre_type'),'backbone','yes');
	     	domAttr.set(dom.byId('oeuvre_nature'),'backbone','yes');
	     	new FormEdit();
	     	".$mapping_dojo_inclusion_tu."
	     });
	});
</script>
<script type='text/javascript'>
	document.title='!!document_title!!';
</script>
<form class='form-$current_module' id='saisie_titre_uniforme' name='saisie_titre_uniforme' method='post' action='!!action!!' onSubmit=\"return false\" enctype='multipart/form-data'>
<div class='row'>
	<div class='left'><h3>!!libelle!!</h3></div>
	<div class='right'>";

	$titre_uniforme_form.='
	<!-- Selecteur de statut -->
		<label class="etiquette" for="authority_statut">'.$msg['authorities_statut_label'].'</label>
		!!auth_statut_selector!!
	';

	if(isset($pmb_form_authorities_editables)) {
		if (isset($PMBuserid) && $PMBuserid==1 && $pmb_form_authorities_editables==1){
			$titre_uniforme_form.="<input type='button' class='bouton_small' value='".$msg["authorities_edit_format"]."' id=\"bt_inedit\"/>";
		}
		if ($pmb_form_authorities_editables==1) {
			$titre_uniforme_form.="<input type='button' class='bouton_small' value=\"".$msg["authorities_origin_format"]."\" id=\"bt_origin_format\"/>";
		}
	}
	$titre_uniforme_form .= "
	</div>
</div>
<div class='form-contenu'>
	<div class='row'>
		<a onclick='expandAll();return false;' href='#'><img border='0' id='expandall' src='./images/expand_all.gif'></a>
		<a onclick='collapseAll();return false;' href='#'><img border='0' id='collapseall' src='./images/collapse_all.gif'></a>
	</div>
	<div id='zone-container'>
		<div id='el0Child_0' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_oeuvre_type"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='oeuvre_type'>".$msg["aut_oeuvre_form_oeuvre_type"]."</label>
			</div>
			<div class='row'>
				!!oeuvre_type!!
			</div>
		</div>
		<div id='el0Child_1' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_oeuvre_nature"], ENT_QUOTES, $charset)."\">			
			<div class='row'>
				<label class='etiquette' for='oeuvre_nature'>".$msg["aut_oeuvre_form_oeuvre_nature"]."</label>
			</div>
			<div class='row'>
				!!oeuvre_nature!!
			</div>
		</div>
		<!--	nom	-->
		<div id='el0Child_2' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_form_nom"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_nom'>".$msg["aut_titre_uniforme_form_nom"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-80em' id='form_nom' name='tu_name' value=\"!!nom!!\" data-form-name='tu_name'/>
			</div>
		</div>
		<div id='el0Child_3' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_oeuvre_expression"], ENT_QUOTES, $charset)."\">				
			<div class='row'>
				<label class='etiquette' >".$msg["aut_oeuvre_form_oeuvre_expression"]."</label>
			</div>
			<div class='row'>
				!!oeuvre_expression!!
			</div>	
		</div>
		<div id='el0Child_25' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_oeuvre_expression_from"], ENT_QUOTES, $charset)."\">				
			<div class='row'>
				<label class='etiquette' >".$msg["aut_oeuvre_form_oeuvre_expression_from"]."</label>
			</div>
			<div class='row'>
				!!oeuvre_expression_from!!
			</div>	
		</div>
		<div id='el0Child_4' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_other_link"], ENT_QUOTES, $charset)."\">				
			<div class='row'>
				<label class='etiquette' >".$msg["aut_oeuvre_form_other_link"]."</label>
			</div>
			<div class='row'>
			!!other_link!!
			</div>
		</div>
		<div id='el0Child_5' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_oeuvre_event"], ENT_QUOTES, $charset)."\">				
			<div class='row'>
				<label class='etiquette' >".$msg["aut_oeuvre_form_oeuvre_event"]."</label>
			</div>
			<div class='row'>			
				!!oeuvre_event!!
			</div>
		</div>
		!!authors!!
		
		<!--	Forme de l'oeuvre	-->
		<div id='el0Child_6' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_forme"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_form'>".$msg["aut_oeuvre_form_forme"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-30em' id='form_form' name='tu_form' data-form-name='tu_form' value='!!tu_form!!'>
			</div>	
		</div>
		
		<!--	Forme de l'oeuvre liste controle -->
		<div id='el0Child_7' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_forme_list"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_form'>".$msg["aut_oeuvre_form_forme_list"]."</label>
			</div>
			<div class='row'>
				<input type='text' completion='music_form' autfield='form_form_selector' id='music_form' class='saisie-30emr' name='music_form' data-form-name='music_form' value=\"!!music_form!!\" />
	            <input type='button' class='bouton' value='$msg[parcourir]' onclick=\"openPopUp('./select.php?what=music_form&caller=saisie_titre_uniforme&p1=form_form_selector&p2=music_form&deb_rech='+".pmb_escape()."(this.form.music_form.value), 'select_tonalite', 500, 400, -2, -2, '$selector_prop')\" />
	            <input type='button' class='bouton' value='".$msg['raz']."' onclick=\"this.form.music_form.value=''; this.form.form_form_selector.value=''; \" />
	            <input type='hidden' name='form_form_selector' data-form-name='form_form_selector' id='form_form_selector' value=\"!!music_form_id!!\" />  
			</div>
		</div>
		
		<!--	Date de l'oeuvre	-->
		<div id='el0Child_8' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_date"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_dates'>".$msg["aut_oeuvre_form_date"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-30em' id='form_dates' name='date' data-form-name='date' value='!!date!!'>
			</div>
		</div>
		
		<!--	Lieu d'origine de l'oeuvre	-->
		<div id='el0Child_9' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_lieu"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_place'>".$msg["aut_oeuvre_form_lieu"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-30em' id='form_place' name='place' data-form-name='place' value='!!place!!'>
			</div>
		</div>
		
		<!--	Sujet de l'oeuvre	-->
		<div id='el0Child_10' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_sujet"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_subject'>".$msg["aut_oeuvre_form_sujet"]."</label>
			</div>
			<div class='row'>
				<textarea class='saisie-80em' id='form_subject' name='subject' data-form-name='subject' cols='62' rows='4' wrap='virtual'>!!subject!!</textarea>
			</div>
		</div>
		
		<!--	Compltude vise de l'oeuvre	-->
		<div id='el0Child_11' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_completude"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_completude'>".$msg["aut_oeuvre_form_completude"]."</label>
			</div>
			<div class='row'>
				<select id='form_intended_termination' name='intended_termination' data-form-name='intended_termination' class='saisie-20em'>
					<option value='0' !!intended_termination_0!!>--</option>\n
					<option value='1' !!intended_termination_1!!>".$msg['aut_oeuvre_form_completude_finished']."</option>\n
					<option value='2' !!intended_termination_2!!>".$msg['aut_oeuvre_form_completude_infinite']."</option>\n
				</select>	
			</div>
		</div>
		
		<!--	Public vis de l'oeuvre	-->
		<div id='el0Child_12' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_public"], ENT_QUOTES, $charset)."\">		
			<div class='colonne_suite'>
				<label class='etiquette' for='form_intended_audience'>".$msg["aut_oeuvre_form_public"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-30em' id='form_intended_audience' name='intended_audience' data-form-name='intended_audience' value='!!intended_audience!!'>
			</div>
		</div>
		
		<!--	Histoire de l'oeuvre	-->
		<div id='el0Child_13' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_histoire"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_history'>".$msg["aut_oeuvre_form_histoire"]."</label>
			</div>
			<div class='row'>
				<textarea class='saisie-80em' id='form_history' name='history'  data-form-name='history' cols='62' rows='4' wrap='virtual'>!!history!!</textarea>
			</div>
		</div>
		
		<!--	Contexte de l'oeuvre	-->
		<div id='el0Child_14' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_contexte"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_context'>".$msg["aut_oeuvre_form_contexte"]."</label>
			</div>
			<div class='row'>
				<textarea class='saisie-80em' id='form_context' name='context' data-form-name='context' cols='62' rows='4' wrap='virtual'>!!context!!</textarea>
			</div>
		</div>
						
		<div id='el0Child_15' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_form_distribution"], ENT_QUOTES, $charset)."\">					
			<!--	Distribution instrumentale et vocale (pour la musique)	-->
		</div>
				
		<div id='el0Child_16' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_form_ref_numerique"], ENT_QUOTES, $charset)."\">
			<!--	Rfrence numrique (pour la musique)	-->
		</div>
				
		<!--	Tonalit (Saisie Libre)	-->
		<div id='el0Child_17' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_form_tonalite"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_tonalite'>".$msg["aut_titre_uniforme_form_tonalite"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-80em' id='form_tonalite' name='tonalite' value='!!tonalite!!'>
			</div>
		</div>
		
		<!--	Tonalit (Liste controle)	-->
		<div id='el0Child_18' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_form_tonalite_list"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_tonalite'>".$msg["aut_titre_uniforme_form_tonalite_list"]."</label>
			</div>
			<div class='row'>
				<input type='text' completion='music_key' autfield='form_tonalite_selector' id='music_key' class='saisie-30emr' name='music_key' data-form-name='music_key' value=\"!!music_key!!\" />
	            <input type='button' class='bouton' value='$msg[parcourir]' onclick=\"openPopUp('./select.php?what=music_key&caller=saisie_titre_uniforme&p1=form_tonalite_selector&p2=music_key&deb_rech='+".pmb_escape()."(this.form.music_key.value), 'select_tonalite', 500, 400, -2, -2, '$selector_prop')\" />
	            <input type='button' class='bouton' value='".$msg['raz']."' onclick=\"this.form.music_key.value=''; this.form.form_tonalite_selector.value=''; \" />
	            <input type='hidden' name='form_tonalite_selector' data-form-name='form_tonalite_selector' id='form_tonalite_selector' value=\"!!music_key_id!!\" />  
			</div>
		</div>
		
		<!--	Coordonnes (oeuvre cartographique)	-->
		<div id='el0Child_19' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_coordonnees"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_coordinates'>".$msg["aut_oeuvre_form_coordonnees"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-80em' id='form_coordinates' name='coordinates' data-form-name='coordinates' value='!!coordinates!!'>
			</div>
		</div>
				
		<!--	Equinoxe (oeuvre cartographique)	-->
		<div id='el0Child_20' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_equinoxe"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_equinox'>".$msg["aut_oeuvre_form_equinoxe"]."</label>
			</div>
			<div class='row'>
				<input type='text' class='saisie-80em' id='form_equinox' name='equinox' data-form-name='equinox' value='!!equinox!!'>
			</div>
		</div>
	
		<div id='el0Child_21' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_form_subdivision_forme"], ENT_QUOTES, $charset)."\">
			<!-- Subdivision de forme -->
		</div>
				
		<!--	Autres caractristiques distinctives de l'oeuvre	-->
		<div id='el0Child_22' class='row' movable='yes' title=\"".htmlentities($msg["aut_oeuvre_form_caracteristique"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='form_carac'>".$msg["aut_oeuvre_form_caracteristique"]."</label>
			</div>
			<div class='row'>
				<textarea class='saisie-80em' id='form_carac' name='characteristic' cols='62' rows='4' wrap='virtual'>!!characteristic!!</textarea>
			</div>
		</div>
				
		<!-- 	Commentaire -->
		<div id='el0Child_23' class='row' movable='yes' title=\"".htmlentities($msg["aut_titre_uniforme_commentaire"], ENT_QUOTES, $charset)."\">
			<div class='row'>
				<label class='etiquette' for='comment'>".$msg["aut_titre_uniforme_commentaire"]."</label>
			</div>
			<div class='row'>
				<textarea class='saisie-80em' id='comment' name='comment' data-form-name='comment' cols='62' rows='4' wrap='virtual'>!!comment!!</textarea>
			</div>
		</div>
						
		!!concept_form!!
		!!thumbnail_url_form!!				
		!!aut_pperso!!
						
		<div id='el0Child_24' class='row' movable='yes' title=\"".htmlentities($msg["authority_import_denied"], ENT_QUOTES, $charset)."\">	
			<div class='row'>
				<label class='etiquette' for='tu_import_denied'>".$msg['authority_import_denied']."</label> &nbsp;
				<input type='checkbox' id='tu_import_denied' name='tu_import_denied' value='1' data-form-name='tu_import_denied' !!tu_import_denied!!/>
			</div>
		</div>
		
		<!-- aut_link -->
		
		<!-- tu_notices --> 		
		<div id='el0Child_26' class='row' movable='yes' title=\"".htmlentities($msg["notice_relations"], ENT_QUOTES, $charset)."\">				
			!!tu_notices!!
		</div>
	</div>
</div>
<!--	boutons	-->
<div class='row'>
	<div class='left'>
		<input type='button' class='bouton' value='$msg[76]' onClick=\"unload_off();document.location='./autorites.php?categ=titres_uniformes&sub=reach&user_input=!!user_input_url!!&page=!!page!!&nbr_lignes=!!nbr_lignes!!';\" />
		<input type='button' value='$msg[77]' class='bouton' id='btsubmit' onClick=\"if (test_form(this.form)) this.form.submit();\" />
		!!remplace!!
		!!voir_notices!!
		!!audit_bt!!
		<input type='hidden' name='page' value='!!page!!' />
		<input type='hidden' name='nbr_lignes' value='!!nbr_lignes!!' />
		<input type='hidden' name='user_input' value=\"!!user_input!!\" />
	</div>
	<div class='right'>
		!!delete!!
	</div>
</div>
<div class='row'></div>
</form>
<script type='text/javascript'>
	ajax_parse_dom();
	document.forms['saisie_titre_uniforme'].elements['tu_name'].focus();
</script>
";

$oeuvre_expression_tpl="
<script type='text/javascript'>

function fonction_selecteur_oeuvre_expression() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,19)+'_code'+name.substr(19);
	openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name, 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop');
}
function add_oeuvre_expression() {
	templates.add_completion_qualified_field('f_oeuvre_expression', 'f_oeuvre_expression_code', 'titre_uniforme', 'f_oeuvre_expression_type');
}

</script>";

$oeuvre_expression_tpl_first = "
<input type='button' class='bouton' value='$msg[parcourir]' 
	onclick=\"openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&field_id=f_oeuvre_expression_code&field_name_id=f_oeuvre_expression&dyn=3&max_field=max_oeuvre_expression&add_field=add_oeuvre_expression&callback=formMapperCallback', 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop')\" />
<input type='button' class='bouton' value='+' onClick=\"add_oeuvre_expression();\"/>	
<div class='row'>
	!!expression_type!!
	<input type='text' class='saisie-30emr' callback='formMapperCallback' id='f_oeuvre_expression!!ioeuvre_expression!!' name='f_oeuvre_expression!!ioeuvre_expression!!' data-form-name='f_oeuvre_expression' value=\"!!oeuvre_expression!!\" completion=\"titre_uniforme\" autfield=\"f_oeuvre_expression_code!!ioeuvre_expression!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_oeuvre_expression!!ioeuvre_expression!!.value=''; this.form.f_oeuvre_expression_code!!ioeuvre_expression!!.value=''; \" />
	<input type='hidden' name='f_oeuvre_expression_code!!ioeuvre_expression!!'  data-form-name='f_oeuvre_expression_code'  id='f_oeuvre_expression_code!!ioeuvre_expression!!' value='!!oeuvre_expression_code!!' />
</div>
";
$oeuvre_expression_tpl_other = "
<div class='row'>
	!!expression_type!!
	<input type='text' class='saisie-30emr' id='f_oeuvre_expression!!ioeuvre_expression!!' name='f_oeuvre_expression!!ioeuvre_expression!!' value=\"!!oeuvre_expression!!\" completion=\"titre_uniforme\" autfield=\"f_oeuvre_expression_code!!ioeuvre_expression!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_oeuvre_expression!!ioeuvre_expression!!.value=''; this.form.f_oeuvre_expression_code!!ioeuvre_expression!!.value=''; \" />
	<input type='hidden' name='f_oeuvre_expression_code!!ioeuvre_expression!!' id='f_oeuvre_expression_code!!ioeuvre_expression!!' value='!!oeuvre_expression_code!!' />
</div>
";


$other_link_tpl="
<script type='text/javascript'>

function fonction_selecteur_other_link() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,12)+'_code'+name.substr(12);
	openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name, 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop');
}
function add_other_link() {
	templates.add_completion_qualified_field('f_other_link', 'f_other_link_code', 'titre_uniforme', 'f_oeuvre_other_link');
}

</script>";

$other_link_tpl_first = "
<input type='button' class='bouton' value='$msg[parcourir]' 
	onclick=\"openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&field_id=f_other_link_code&field_name_id=f_other_link&dyn=3&max_field=max_other_link&add_field=add_other_link&myid=!!myid!!', 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop')\" />
<input type='button' class='bouton' value='+' onClick=\"add_other_link();\"/>	
<div class='row'>
	!!link_type!!
	<input type='text' class='saisie-30emr' id='f_other_link!!iother_link!!' data-form-name='f_other_link' name='f_other_link!!iother_link!!' value=\"!!other_link!!\" completion=\"titre_uniforme\" autfield=\"f_other_link_code!!iother_link!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_other_link!!iother_link!!.value=''; this.form.f_other_link_code!!iother_link!!.value=''; \" />
	<input type='hidden' name='f_other_link_code!!iother_link!!' data-form-name='f_other_link_code' id='f_other_link_code!!iother_link!!' value='!!other_link_code!!' />
</div>
";
$other_link_tpl_other = "
<div class='row'>
	!!link_type!!
	<input type='text' class='saisie-30emr' id='f_other_link!!iother_link!!' name='f_other_link!!iother_link!!' value=\"!!other_link!!\" completion=\"titre_uniforme\" autfield=\"f_other_link_code!!iother_link!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_other_link!!iother_link!!.value=''; this.form.f_other_link_code!!iother_link!!.value=''; \" />
	<input type='hidden' name='f_other_link_code!!iother_link!!' id='f_other_link_code!!iother_link!!' value='!!other_link_code!!' />
</div>
";

if(!$pmb_authors_qualification) 
$tu_authors_tpl="
<div class='row'>
<!--	Auteurs de l'oeuvre	-->
<div style='float:left;margin-right:10px;'>
	<div class='row'>
        <label for='f_aut!!n!!' class='etiquette' style='!!title_display!!'>!!title!!</label>	
	</div>
	<div class='row'>
		<input type='text' class='saisie-30emr' completion='authors' autfield='f_aut!!n!!_id!!iaut!!' id='f_aut!!n!!!!iaut!!' name='f_aut!!n!!!!iaut!!' data-form-name='f_aut!!n!!' value=\"!!aut!!n!!!!\" />
		<input type='button' class='bouton' value='$msg[parcourir]' onclick=\"openPopUp('./select.php?what=auteur&caller=saisie_titre_uniforme&param1=f_aut!!n!!_id!!iaut!!&param2=f_aut!!n!!!!iaut!!&deb_rech='+".pmb_escape()."(this.form.f_aut!!n!!!!iaut!!.value), 'select_author2', 500, 400, -2, -2, '$selector_prop')\" />
		<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_aut!!n!!!!iaut!!.value=''; this.form.f_aut!!n!!_id!!iaut!!.value='!!n!!'; \" />
		<input type='hidden' name='f_aut!!n!!_id!!iaut!!' data-form-name='f_aut!!n!!_id' id='f_aut!!n!!_id!!iaut!!' value=\"!!aut!!n!!_id!!\" />
	</div>
</div>
<!--    Fonction    -->
<div style='float:left'>
	<div class='row'>
        <label class='etiquette' style='!!title_display!!'>".$msg[245]."</label>	
	</div>
	<div class='row'>
		<input type='text' class='saisie-15emr' id='f_f!!n!!!!iaut!!' name='f_f!!n!!!!iaut!!' data-form-name='f_f!!n!!' completion='fonction' autfield='f_f!!n!!_code!!iaut!!' value=\"!!f!!n!!!!\" />
		<input type='button' class='bouton' value='$msg[parcourir]' onclick=\"openPopUp('./select.php?what=function&caller=saisie_titre_uniforme&p1=f_f!!n!!_code!!iaut!!&p2=f_f!!n!!!!iaut!!', 'select_func2', 500, 400, -2, -2, '$selector_prop')\" />
		<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_f!!n!!!!iaut!!.value=''; this.form.f_f!!n!!_code!!iaut!!.value='0'; \" />
		<input type='hidden' name='f_f!!n!!_code!!iaut!!' data-form-name='f_f!!n!!_code' id='f_f!!n!!_code!!iaut!!' value=\"!!f!!n!!_code!!\" />
		<input class='bouton' type='button' onclick='duplicate(!!n!!,!!iaut!!);' value='".$msg['duplicate']."'>
		<input type='button' style='!!bouton_add_display!!' class='bouton' value='+' onClick=\"add_aut(!!n!!);\"/>
	</div>
</div>
</div>
";	
else
$tu_authors_tpl="
<div class='row'>
<!--	Auteurs de l'oeuvre	-->
<div style='float:left;margin-right:10px;'>
	<div class='row'>
        <label for='f_aut!!n!!' class='etiquette' style='!!title_display!!'>!!title!!</label>	
	</div>
	<div class='row'>
		<input type='text' class='saisie-30emr' completion='authors' autfield='f_aut!!n!!_id!!iaut!!' id='f_aut!!n!!!!iaut!!' name='f_aut!!n!!!!iaut!!' data-form-name='f_aut!!n!!' value=\"!!aut!!n!!!!\" />
		<input type='button' class='bouton' value='$msg[parcourir]' onclick=\"openPopUp('./select.php?what=auteur&caller=saisie_titre_uniforme&param1=f_aut!!n!!_id!!iaut!!&param2=f_aut!!n!!!!iaut!!&deb_rech='+".pmb_escape()."(this.form.f_aut!!n!!!!iaut!!.value), 'select_author2', 500, 400, -2, -2, '$selector_prop')\" />
		<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_aut!!n!!!!iaut!!.value=''; this.form.f_aut!!n!!_id!!iaut!!.value='0'; \" />
		<input type='hidden' name='f_aut!!n!!_id!!iaut!!' data-form-name='f_aut!!n!!_id' id='f_aut!!n!!_id!!iaut!!' value=\"!!aut!!n!!_id!!\" />
	</div>
</div>
<!--    Fonction    -->
<div style='float:left;margin-right:10px;'>
	<div class='row'>
        <label class='etiquette' style='!!title_display!!'>".$msg[245]."</label>	
	</div>
	<div class='row'>
		<input type='text' class='saisie-15emr' id='f_f!!n!!!!iaut!!' name='f_f!!n!!!!iaut!!' data-form-name='f_f!!n!!' completion='fonction' autfield='f_f!!n!!_code!!iaut!!' value=\"!!f!!n!!!!\" />
		<input type='button' class='bouton' value='$msg[parcourir]' onclick=\"openPopUp('./select.php?what=function&caller=saisie_titre_uniforme&p1=f_f!!n!!_code!!iaut!!&p2=f_f!!n!!!!iaut!!', 'select_func2', 500, 400, -2, -2, '$selector_prop')\" />
		<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_f!!n!!!!iaut!!.value=''; this.form.f_f!!n!!_code!!iaut!!.value='0'; \" />
		<input type='hidden' name='f_f!!n!!_code!!iaut!!' data-form-name='f_f!!n!!_code' id='f_f!!n!!_code!!iaut!!' value=\"!!f!!n!!_code!!\" />		
	</div>	
</div>	
<div  style='float:left;'>
	<div class='row'>
		<label for='f_aut!!n!!' class='etiquette' style='!!title_display!!'>".$msg['notice_vedette_composee_author']."</label>	
	</div>
	<div class='row'>
		<img class='img_plus' hspace='3' border='0' onclick=\"expand_vedette(this,'vedette!!iaut!!_!!vedettetype!!'); return false;\" title='dtail' name='imEx' src='./images/plus.gif'>
		<input type='text' class='saisie-30emr'  readonly='readonly'  name='saisie_titre_uniforme_!!vedettetype!!_composed_!!iaut!!_vedette_composee_apercu_autre' id='saisie_titre_uniforme_!!vedettetype!!_composed_!!iaut!!_vedette_composee_apercu_autre'  data-form-name='vedette_composee_!!vedettetype!!' value=\"!!vedette_apercu!!\" />		
		<input type='button' class='bouton' value='$msg[raz]' onclick=\"del_vedette('!!vedettetype!!',!!iaut!!);\" />	
		<input class='bouton' type='button' onclick='duplicate(!!n!!,!!iaut!!);' value='".$msg['duplicate']."'>
		<input type='button' style='!!bouton_add_display!!' class='bouton' value='+' onClick=\"add_aut(!!n!!);\"/>	
	</div>	
</div>	
<div class='row' id='vedette!!iaut!!_!!vedettetype!!' style='margin-bottom:6px;display:none'>
!!vedette_author!!
</div>
<script type='text/javascript'>
	vedette_composee_update_all('saisie_titre_uniforme_!!vedettetype!!_composed_!!iaut!!_vedette_composee_subdivisions');
</script>
</div>	
";

$aut_fonctions= marc_list_collection::get_instance('function');
$tu_authors_all_tpl = "
<script>
    function fonction_selecteur_auteur() {
        var name=this.getAttribute('id').substring(4);
        var name_id = name.substr(0,6)+'_id'+name.substr(6);
        openPopUp('./select.php?what=auteur&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name+'&dyn=1&deb_rech='+".pmb_escape()."(document.getElementById(name).value), 'select_author2', 500, 400, -2, -2, '$selector_prop');
    }
    function fonction_selecteur_auteur_change(field) {
    	// id champ text = 'f_aut'+n+suffixe
    	// id champ hidden = 'f_aut'+n+'_id'+suffixe; 
    	// select.php?what=auteur&caller=saisie_titre_uniforme&param1=f_aut0_id&param2=f_aut0&deb_rech='+t
        var name=field.getAttribute('id');
        var name_id = name.substr(0,6)+'_id'+name.substr(6);
        openPopUp('./select.php?what=auteur&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name+'&dyn=1&deb_rech='+".pmb_escape()."(document.getElementById(name).value), 'select_author2', 500, 400, -2, -2, '$selector_prop');
    }
    function fonction_raz_auteur() {
        var name=this.getAttribute('id').substring(4);
        var name_id = name.substr(0,6)+'_id'+name.substr(6);
        document.getElementById(name_id).value=0;
        document.getElementById(name).value='';
    }
    function fonction_selecteur_fonction() {
        var name=this.getAttribute('id').substring(4);
        var name_code = name.substr(0,4)+'_code'+name.substr(4);
        openPopUp('./select.php?what=function&caller=saisie_titre_uniforme&param1='+name_code+'&param2='+name+'&dyn=1', 'select_fonction2', 500, 400, -2, -2, '$selector_prop');
    }
    function fonction_raz_fonction() {
        var name=this.getAttribute('id').substring(4);
        var name_code = name.substr(0,4)+'_code'+name.substr(4);
        document.getElementById(name_code).value=0;
        document.getElementById(name).value='';
    }

	function add_aut(n) {
		var template = document.getElementById('addaut'+n);
		var aut=document.createElement('div');
		aut.className='row';
		
		// auteur
		var colonne=document.createElement('div');
		//colonne.className='colonne2';
        colonne.style.cssFloat = 'left';
        colonne.style.marginRight = '10px';
		var row=document.createElement('div');
		row.className='row';
		var suffixe = eval('document.saisie_titre_uniforme.max_aut'+n+'.value')
		var nom_id = 'f_aut'+n+suffixe
		var f_aut0 = document.createElement('input');
		f_aut0.setAttribute('name',nom_id);
		f_aut0.setAttribute('id',nom_id);
		f_aut0.setAttribute('type','text');
		f_aut0.className='saisie-30emr';
		f_aut0.setAttribute('value','');
		f_aut0.setAttribute('completion','authors');
		f_aut0.setAttribute('autfield','f_aut'+n+'_id'+suffixe);
		
		var sel_f_aut0 = document.createElement('input');
		sel_f_aut0.setAttribute('id','sel_f_aut'+n+suffixe);
		sel_f_aut0.setAttribute('type','button');
		sel_f_aut0.className='bouton';
		sel_f_aut0.setAttribute('readonly','');
		sel_f_aut0.setAttribute('value','$msg[parcourir]');
		sel_f_aut0.onclick=fonction_selecteur_auteur;
		
		var del_f_aut0 = document.createElement('input');
		del_f_aut0.setAttribute('id','del_f_aut'+n+suffixe);
		del_f_aut0.onclick=fonction_raz_auteur;
		del_f_aut0.setAttribute('type','button');
		del_f_aut0.className='bouton';
		del_f_aut0.setAttribute('readonly','');
		del_f_aut0.setAttribute('value','$msg[raz]');
		
		var f_aut0_id = document.createElement('input');
		f_aut0_id.name='f_aut'+n+'_id'+suffixe;
		f_aut0_id.setAttribute('type','hidden');
		f_aut0_id.setAttribute('id','f_aut'+n+'_id'+suffixe);
		f_aut0_id.setAttribute('value','');
		
		var duplicate = document.createElement('input');
		duplicate.setAttribute('onclick','duplicate('+n+','+suffixe+')');			
		duplicate.setAttribute('type','button');
		duplicate.className='bouton';
		duplicate.setAttribute('readonly','readonly');
		duplicate.setAttribute('value','".$msg["duplicate"]."');
				
		//f_aut0_content.appendChild(f_aut0);
		row.appendChild(f_aut0);
		space=document.createTextNode(' ');
		row.appendChild(space);
		row.appendChild(sel_f_aut0);
		space=document.createTextNode(' ');
		row.appendChild(space);
		row.appendChild(del_f_aut0);
		row.appendChild(f_aut0_id);
		colonne.appendChild(row);
		aut.appendChild(colonne);
				
		// fonction	
		var colonne=document.createElement('div');
		//colonne.className='colonne_suite';
        colonne.style.cssFloat = 'left';
        colonne.style.marginRight = '10px';
		row=document.createElement('div');
		row.className='row';
		suffixe = eval('document.saisie_titre_uniforme.max_aut'+n+'.value');
		nom_id = 'f_f'+n+suffixe;
		f_f0 = document.createElement('input');
		f_f0.setAttribute('name',nom_id);
		f_f0.setAttribute('id',nom_id);
		f_f0.setAttribute('type','text');
		f_f0.className='saisie-15emr';
		f_f0.setAttribute('value','".($value_deflt_fonction ? $aut_fonctions->table[$value_deflt_fonction] : '')."');
		f_f0.setAttribute('completion','fonction');
		f_f0.setAttribute('autfield','f_f'+n+'_code'+suffixe);
		
		sel_f_f0 = document.createElement('input');
		sel_f_f0.setAttribute('id','sel_f_f'+n+suffixe);
		sel_f_f0.setAttribute('type','button');
		sel_f_f0.className='bouton';
		sel_f_f0.setAttribute('readonly','');
		sel_f_f0.setAttribute('value','$msg[parcourir]');
		sel_f_f0.onclick=fonction_selecteur_fonction;
		
		del_f_f0 = document.createElement('input');
		del_f_f0.setAttribute('id','del_f_f'+n+suffixe);
		del_f_f0.onclick=fonction_raz_fonction;
		del_f_f0.setAttribute('type','button');
		del_f_f0.className='bouton';
		del_f_f0.setAttribute('readonly','readonly');
		del_f_f0.setAttribute('value','$msg[raz]');
				
		f_f0_code = document.createElement('input');
		f_f0_code.name='f_f'+n+'_code'+suffixe;
		f_f0_code.setAttribute('type','hidden');
		f_f0_code.setAttribute('id','f_f'+n+'_code'+suffixe);
		f_f0_code.setAttribute('value','$value_deflt_fonction');
		
		row.appendChild(f_f0);
		space=document.createTextNode(' ');
		row.appendChild(space);
		row.appendChild(sel_f_f0);
		space=document.createTextNode(' ');
		row.appendChild(space);
		row.appendChild(del_f_f0);
		row.appendChild(f_f0_code);				
		if(!('".$pmb_authors_qualification."'*1)){					
			space=document.createTextNode(' ');
			row.appendChild(space);
			row.appendChild(duplicate);		
		}		
		colonne.appendChild(row);		
		aut.appendChild(colonne);
	
		if('".$pmb_authors_qualification."'*1){		
	        var role_field='role';
	        if(n==1) role_field='role_autre';
	        if(n==2) role_field='role_secondaire';
	        
			var req = new http_request();	
			if(req.request('./ajax.php?module=autorites&categ=get_tu_form_vedette&role_field='+role_field+'&index='+suffixe,1)){
				// Il y a une erreur
				alert ( req.get_text() );			
			}else {
			 	vedette_form=req.get_text();
			 	var row_vedette=document.createElement('div');
				row_vedette.className='row';
				row_vedette.innerHTML=vedette_form;
			}
			row_vedette.setAttribute('id','vedette'+suffixe+'_'+role_field);		
			row_vedette.style.display='none';		
			
			colonne=document.createElement('div');
			//colonne.className='colonne_suite';
       		colonne.style.cssFloat = 'left';
			row=document.createElement('div');
			row.className='row';
			
			var img_plus = document.createElement('img');
			img_plus.name='img_plus'+suffixe;
			img_plus.setAttribute('id','img_plus'+suffixe+'_'+role_field);		
			img_plus.className='img_plus';
			img_plus.setAttribute('hspace','3');	
			img_plus.setAttribute('border','0');	
			img_plus.setAttribute('src','./images/plus.gif');
			img_plus.setAttribute('onclick','expand_vedette(this, \"vedette'+suffixe+'_'+role_field+'\")');			
		
			var nom_id = 'saisie_titre_uniforme_'+role_field+'_composed_'+suffixe+'_vedette_composee_apercu_autre';
			apercu = document.createElement('input');
			apercu.setAttribute('name',nom_id);
			apercu.setAttribute('id',nom_id);
			apercu.setAttribute('type','text');
			apercu.className='saisie-30emr';
			apercu.setAttribute('readonly','readonly');
				
			var del_vedette = document.createElement('input');
			del_vedette.setAttribute('onclick','del_vedette(\"'+role_field+'\",'+suffixe+')');
			del_vedette.setAttribute('type','button');
			del_vedette.className='bouton';
			del_vedette.setAttribute('readonly','readonly');
			del_vedette.setAttribute('value','$msg[raz]');		
				
			var duplicate = document.createElement('input');
			duplicate.setAttribute('onclick','duplicate('+n+','+suffixe+')');			
			duplicate.setAttribute('type','button');
			duplicate.className='bouton';
			duplicate.setAttribute('readonly','readonly');
			duplicate.setAttribute('value','".$msg["duplicate"]."');
		
			row.appendChild(img_plus);
			space=document.createTextNode(' ');
			row.appendChild(space);
			row.appendChild(apercu);
			space=document.createTextNode(' ');
			row.appendChild(space);
			row.appendChild(del_vedette);
			space=document.createTextNode(' ');
			row.appendChild(space);
			row.appendChild(duplicate);
			colonne.appendChild(row);
			aut.appendChild(colonne);		
			
			template.appendChild(aut);
			template.appendChild(row_vedette);
			eval(document.getElementById('vedette_script_'+role_field+'_composed_'+suffixe).innerHTML);
		}else{		
			template.appendChild(aut);
		}		
		eval('document.saisie_titre_uniforme.max_aut'+n+'.value=suffixe*1+1*1');
		ajax_pack_element(f_aut0);
		ajax_pack_element(f_f0);
		init_drag();
	}
	
	function duplicate(n,suffixe){
		add_aut(n);		
		new_suffixe = eval('document.saisie_titre_uniforme.max_aut'+n+'.value')-1;
        document.getElementById('f_aut'+n+new_suffixe).value = document.getElementById('f_aut'+n+suffixe).value;
        document.getElementById('f_aut'+n+'_id'+new_suffixe).value = document.getElementById('f_aut'+n+'_id'+suffixe).value;
        document.getElementById('f_f'+n+new_suffixe).value = '';
        document.getElementById('f_f'+n+'_code'+new_suffixe).value = '';
	}
			
	function expand_vedette(el,what) {
		var obj=document.getElementById(what);
		if(obj.style.display=='none'){
			obj.style.display='block';
	    	el.src = './images/minus.gif';	    	
			init_drag();
		}else{
			obj.style.display='none';
	    	el.src =  './images/plus.gif';
		}
	}
	
	function del_vedette(role,index) {
		vedette_composee_delete_all('saisie_titre_uniforme_'+role+'_composed_'+index+'_vedette_composee_subdivisions');		
		init_drag();
	}

</script>
<div id='authors_list' title='".htmlentities($msg["tu_authors_list"],ENT_QUOTES, $charset)."' movable='yes' class='row'>
    <!--    auteurs    -->
     <input type='hidden' name='max_aut0' value=\"!!max_aut0!!\" />
    !!authors_list0!!
    <div class='row' id='addaut0'>	        
	</div>
</div> 
<div id='authors_list1' title='".htmlentities($msg["tu_interpreter_list"],ENT_QUOTES, $charset)."' movable='yes' class='row'>
	<!--    interpretes    -->
    <input type='hidden' name='max_aut1' value=\"!!max_aut1!!\" />
    !!authors_list1!!
    <div class='row' id='addaut1'>	        
	</div>
</div>        		
";

// $titre_uniforme_replace : form remplacement titre_uniforme
$titre_uniforme_replace = "
<script src='javascript/ajax.js'></script>
<form class='form-$current_module' name='titre_uniforme_replace' method='post' action='./autorites.php?categ=titres_uniformes&sub=replace&id=!!id!!' onSubmit=\"return false\" >
<h3>$msg[159] !!old_titre_uniforme_libelle!! </h3>
<div class='form-contenu'>
	<div class='row'>
		<label class='etiquette' for='titre_uniforme_libelle'>$msg[160]</label>
	</div>
	<div class='row'>
		<input type='text' class='saisie-50emr' id='titre_uniforme_libelle' name='titre_uniforme_libelle' value=\"\" completion=\"titres_uniformess\" autfield=\"by\" autexclude=\"!!id!!\"
    	onkeypress=\"if (window.event) { e=window.event; } else e=event; if (e.keyCode==9) { openPopUp('./select.php?what=titre_uniforme&caller=titre_uniforme_replace&param1=by&param2=titre_uniforme_libelle&no_display=!!id!!', 'select_ed', $selector_x_size, $selector_x_size, -2, -2, '$selector_prop'); }\" />

		<input class='bouton' type='button' onclick=\"openPopUp('./select.php?what=titre_uniforme&caller=titre_uniforme_replace&param1=by&param2=titre_uniforme_libelle&no_display=!!id!!', 'select_ed', $selector_x_size, $selector_x_size, -2, -2, '$selector_prop')\" title='$msg[157]' value='$msg[parcourir]' />
		<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.titre_uniforme_libelle.value=''; this.form.by.value='0'; \" />
		<input type='hidden' name='by' id='by' value=''>
	</div>
	<div class='row'>		
		<input id='aut_link_save' name='aut_link_save' type='checkbox' checked='checked' value='1'>".$msg["aut_replace_link_save"]."
	</div>	
</div>
<div class='row'>
	<input type='button' class='bouton' value='$msg[76]' onClick=\"document.location='./autorites.php?categ=titres_uniformes&sub=titre_uniforme_form&id=!!id!!';\">
	<input type='button' class='bouton' value='$msg[159]' id='btsubmit' onClick=\"this.form.submit();\" >
</div>
</form>
<script type='text/javascript'>
	ajax_parse_dom();
	document.forms['titre_uniforme_replace'].elements['titre_uniforme_libelle'].focus();
</script>
";


$user_query_tpl = "
<script type='text/javascript'>
<!--
	function test_form(form) {
		if(form.user_input.value.length == 0) {
			alert(\"$msg[141]\");
			return false;
		}
		return true;
	}
	function aide_regex() {
		var fenetreAide;
		var prop = 'scrollbars=yes, resizable=yes';
		fenetreAide = openPopUp('./help.php?whatis=regex', 'regex_howto', 500, 400, -2, -2, prop);
	}
-->
</script>
<form class='form-$current_module' name='search' method='post' action='!!action!!'>
	<h3>!!user_query_title!!</h3>
	<div class='form-contenu'>
		<div class='row'>
			<div class='colonne3'>
				<!-- sel_oeuvres_type -->
				<!-- sel_authority_statuts -->
			</div>
			<div class='colonne_suite'>
				<input type='text' class='saisie-50em' name='user_input' value='!!user_input!!'/>
			</div>
		</div>
		<div class='row'>
			<div class='colonne3'>&nbsp;</div>
			<div class='colonne_suite'>
				<!-- sel_oeuvres_nature -->
			</div>
		</div>
		<div class='right'></div>
		<div class='row'></div>
	</div>
	<!-- sel_langue -->
	<div class='row'>
		<div class='left'>
			<input type='submit' class='bouton' value='$msg[142]' onClick=\"return test_form(this.form)\" />
			<input class='bouton' type='button' value='!!add_auth_msg!!' onClick=\"document.location='!!add_auth_act!!'\" />
		</div>
		<div class='right'>
			<!-- lien_classement --><!-- lien_derniers --><!-- lien_thesaurus --><!-- imprimer_thesaurus -->
		</div>
	</div>
	<div class='row'></div>
</form>
<script type='text/javascript'>
	document.forms['search'].elements['user_input'].focus();
</script>
<div class='row'></div>
";


$oeuvre_event_tpl="
<script type='text/javascript'>

function fonction_selecteur_oeuvre_event() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,14)+'_code'+name.substr(14);
	openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name, 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop');
}
function add_oeuvre_event() {
	templates.add_completion_field('f_oeuvre_event', 'f_oeuvre_event_code', 'oeuvre_event');
}

</script>";

$oeuvre_event_tpl_first = "	
<input type='button' class='bouton' value='".$msg['parcourir']."' 
	onclick=\"openPopUp('./select.php?what=oeuvre_event&caller=saisie_titre_uniforme&field_id=f_oeuvre_event_code&field_name_id=f_oeuvre_event&dyn=3&max_field=max_oeuvre_event&add_field=add_oeuvre_event&myid=!!myid!!', 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop')\" />
<input type='button' class='bouton' value='+' onClick=\"add_oeuvre_event();\"/>	
<div class='row'>
	<input type='text' class='saisie-30emr' id='f_oeuvre_event!!ioeuvre_event!!' name='f_oeuvre_event!!ioeuvre_event!!' data-form-name='f_oeuvre_event' value=\"!!oeuvre_event!!\" completion=\"oeuvre_event\" autfield=\"f_oeuvre_event_code!!ioeuvre_event!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_oeuvre_event!!ioeuvre_event!!.value=''; this.form.f_oeuvre_event_code!!ioeuvre_event!!.value=''; \" />
	<input type='hidden' name='f_oeuvre_event_code!!ioeuvre_event!!' data-form-name='f_oeuvre_event_code' id='f_oeuvre_event_code!!ioeuvre_event!!' value='!!oeuvre_event_code!!' />
</div>
";
$oeuvre_event_tpl_other = "
<div class='row'>
	<input type='text' class='saisie-30emr' id='f_oeuvre_event!!ioeuvre_event!!' name='f_oeuvre_event!!ioeuvre_event!!' value=\"!!oeuvre_event!!\" completion=\"titre_uniforme\" autfield=\"f_oeuvre_event_code!!ioeuvre_event!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_oeuvre_event!!ioeuvre_event!!.value=''; this.form.f_oeuvre_event_code!!ioeuvre_event!!.value=''; \" />
	<input type='hidden' name='f_oeuvre_event_code!!ioeuvre_event!!' id='f_oeuvre_event_code!!ioeuvre_event!!' value='!!oeuvre_event_code!!' />
</div>
";

$oeuvre_expression_from_tpl="
<script type='text/javascript'>

function fonction_selecteur_oeuvre_expression_from() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,24)+'_code'+name.substr(24);
	openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name, 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop');
}
function fonction_raz_oeuvre_expression_from() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,24)+'_code'+name.substr(24);
	document.getElementById(name_id).value=0;
	document.getElementById(name).value='';
}
function add_oeuvre_expression_from() {
	templates.add_completion_qualified_field('f_oeuvre_expression_from', 'f_oeuvre_expression_from_code', 'titre_uniforme', 'f_oeuvre_expression_from_type');
}

</script>";

$oeuvre_expression_from_tpl_first = "
<input type='button' class='bouton' value='$msg[parcourir]' 
	onclick=\"openPopUp('./select.php?what=titre_uniforme&caller=saisie_titre_uniforme&field_id=f_oeuvre_expression_from_code&field_name_id=f_oeuvre_expression_from&dyn=3&max_field=max_oeuvre_expression_from&add_field=add_oeuvre_expression_from&callback=formMapperCallback', 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop')\" />
<input type='button' class='bouton' value='+' onClick=\"add_oeuvre_expression_from();\"/>	
<div class='row'>
	!!expression_type!!
	<input type='text' class='saisie-30emr' callback='formMapperCallback' id='f_oeuvre_expression_from!!ioeuvre_expression_from!!' name='f_oeuvre_expression_from!!ioeuvre_expression_from!!' data-form-name='f_oeuvre_expression_from' value=\"!!oeuvre_expression_from!!\" completion=\"titre_uniforme\" autfield=\"f_oeuvre_expression_from_code!!ioeuvre_expression_from!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_oeuvre_expression_from!!ioeuvre_expression_from!!.value=''; this.form.f_oeuvre_expression_from_code!!ioeuvre_expression_from!!.value=''; \" />
	<input type='hidden' name='f_oeuvre_expression_from_code!!ioeuvre_expression_from!!'  data-form-name='f_oeuvre_expression_from_code'  id='f_oeuvre_expression_from_code!!ioeuvre_expression_from!!' value='!!oeuvre_expression_from_code!!' />
</div>
";
$oeuvre_expression_from_tpl_other = "
<div class='row'>
	!!expression_type!!
	<input type='text' class='saisie-30emr' id='f_oeuvre_expression_from!!ioeuvre_expression_from!!' name='f_oeuvre_expression_from!!ioeuvre_expression_from!!' value=\"!!oeuvre_expression_from!!\" completion=\"titre_uniforme\" autfield=\"f_oeuvre_expression_from_code!!ioeuvre_expression_from!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_oeuvre_expression_from!!ioeuvre_expression_from!!.value=''; this.form.f_oeuvre_expression_from_code!!ioeuvre_expression_from!!.value=''; \" />
	<input type='hidden' name='f_oeuvre_expression_from_code!!ioeuvre_expression_from!!' id='f_oeuvre_expression_from_code!!ioeuvre_expression_from!!' value='!!oeuvre_expression_from_code!!' />
</div>
";

$tu_notices_tpl="
<script type='text/javascript'>

function fonction_selecteur_tu_notices() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,14)+'_code'+name.substr(14);
	openPopUp('./select.php?what=notice&caller=saisie_titre_uniforme&param1='+name_id+'&param2='+name, 'select_titre_uniforme', 500, 400, -2, -2, '".$selector_prop."');
}
		
function fonction_raz_tu_notices() {
	var name=this.getAttribute('id').substring(4);
	var name_id = name.substr(0,14)+'_code'+name.substr(14);
	document.getElementById(name_id).value=0;
	document.getElementById(name).value='';
}
		
function add_tu_notices() {
	var template = document.getElementById('add_tu_notices');
	var tu_notices=document.createElement('div');
	tu_notices.className='row';
	var suffixe = eval('document.saisie_titre_uniforme.max_tu_notices.value')
	
	var nom_id = 'f_tu_notices'+suffixe;
	var f_tu_notices = document.createElement('input');
	f_tu_notices.setAttribute('name',nom_id);
	f_tu_notices.setAttribute('id',nom_id);
	f_tu_notices.setAttribute('type','text');
	f_tu_notices.className='saisie-30emr';
	f_tu_notices.setAttribute('value','');
	f_tu_notices.setAttribute('completion','tu_notices');
	f_tu_notices.setAttribute('autfield','f_tu_notices_code'+suffixe);
	
	var del_f_tu_notices = document.createElement('input');
	del_f_tu_notices.setAttribute('id','del_f_tu_notices'+suffixe);
	del_f_tu_notices.onclick=fonction_raz_tu_notices;
	del_f_tu_notices.setAttribute('type','button');
	del_f_tu_notices.className='bouton';
	del_f_tu_notices.setAttribute('readonly','');
	del_f_tu_notices.setAttribute('value','".$msg['raz']."');
	
	var f_tu_notices_input = document.createElement('input');
	f_tu_notices_input.name='f_tu_notices_code'+suffixe;
	f_tu_notices_input.setAttribute('type','hidden');
	f_tu_notices_input.setAttribute('id','f_tu_notices_code'+suffixe);
	f_tu_notices_input.setAttribute('value','');
	
	
	var space=document.createTextNode(' ');
	tu_notices.appendChild(f_tu_notices);
	tu_notices.appendChild(space);
	tu_notices.appendChild(space.cloneNode(false));
	tu_notices.appendChild(del_f_tu_notices);
	tu_notices.appendChild(f_tu_notices_input);
	
	template.appendChild(tu_notices);
	
	document.saisie_titre_uniforme.max_tu_notices.value=suffixe*1+1*1 ;
	ajax_pack_element(f_tu_notices);
}

</script>";

$tu_notices_tpl_first = "
<input type='button' class='bouton' value='".$msg['parcourir']."'
onclick=\"openPopUp('./select.php?what=notice&caller=saisie_titre_uniforme&field_id=f_tu_notices_code&field_name_id=f_tu_notices&dyn=3&max_field=max_tu_notices&add_field=add_tu_notices&myid=!!myid!!', 'select_titre_uniforme', 500, 400, -2, -2, '$selector_prop')\" />
<input type='button' class='bouton' value='+' onClick=\"add_tu_notices();\"/>
<div class='row'>
	<input type='text' class='saisie-30emr' id='f_tu_notices!!itu_notices!!' name='f_tu_notices!!itu_notices!!' data-form-name='f_tu_notices' value=\"!!tu_notices!!\" completion=\"tu_notices\" autfield=\"f_tu_notices_code!!itu_notices!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_tu_notices!!itu_notices!!.value=''; this.form.f_tu_notices_code!!itu_notices!!.value=''; \" />
	<input type='hidden' name='f_tu_notices_code!!itu_notices!!' data-form-name='f_tu_notices_code' id='f_tu_notices_code!!itu_notices!!' value='!!tu_notices_code!!' />
</div>
";
$tu_notices_tpl_other = "
<div class='row'>
	<input type='text' class='saisie-30emr' id='f_tu_notices!!itu_notices!!' name='f_tu_notices!!itu_notices!!' value=\"!!tu_notices!!\" completion=\"titre_uniforme\" autfield=\"f_tu_notices_code!!itu_notices!!\" />
	<input type='button' class='bouton' value='$msg[raz]' onclick=\"this.form.f_tu_notices!!itu_notices!!.value=''; this.form.f_tu_notices_code!!itu_notices!!.value=''; \" />
	<input type='hidden' name='f_tu_notices_code!!itu_notices!!' id='f_tu_notices_code!!itu_notices!!' value='!!tu_notices_code!!' />
</div>
";


