<?php
// +-------------------------------------------------+
//  2002-2010 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: map_search_controler_location.class.php,v 1.1 2016-11-05 14:49:08 ngantier Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");


require_once($class_path."/map/map_search_controler.class.php");

class map_search_controler_location extends map_search_controler {
	
	public function __construct($map_hold, $mode, $max_hold, $force_ajax=false, $cluster="true", $data_loc) {
		$this->editable = false;
		$this->ajax = $force_ajax;
		$this->set_mode($mode);

		if (count($data_loc['location'])) {
			$this->objects[] = array(
					'layer' => "location",
					'ids' => $data_loc['location']
			);
		}		
		if (count($data_loc['sur_location'])) {
			$this->objects[] = array(
					'layer' => "sur_location",
					'ids' => $data_loc['sur_location']
			);
		}
			
		if(count($this->objects)){
			$this->model = new map_model($map_hold, $this->objects,$max_hold,$cluster);
			$this->model->set_mode("search_location");
		}else{
			//la recherche n'est pas encore enregistr...
			$this->ajax = true;
		}
	
	}
	
	
}