<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: bannette_creer.inc.php,v 1.31.2.2 2018-02-09 11:35:09 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

if (!$opac_allow_bannette_priv) die ("Accs interdit") ; 

require_once($class_path."/search.class.php");
require_once($class_path."/bannette.class.php");
require_once($class_path."/equation.class.php");
require_once($base_path."/includes/bannette_func.inc.php");

// afin de rsoudre un pb d'effacement de la variable $id_empr par empr_included, bug  trouver
if (!$id_empr) $id_empr=$_SESSION["id_empr_session"] ;

print "<div id='aut_details' class='aut_details_bannette'>\n";

if (isset($enregistrer) && $enregistrer==1 && !$nom_bannette) $enregistrer = 2 ;

$bannette = new bannette();
print "<h3><span>".$msg['dsi_bt_bannette_priv']."</span></h3>\n";
$s = new search() ;
if (!isset($enregistrer) || !$enregistrer) {
	$s->unhistorize_search();
	$s->strip_slashes();
	$equation = $s->serialize_search();
} else {
	$equation = stripslashes($equation);
	$s->unserialize_search($equation);
}
// on arrive de la rech multi-critres
$equ_human = $s->make_serialized_human_query($equation);

if ($equation) {
	if (isset($enregistrer) && $enregistrer=='1') {
		if(!isset($instance_equation)) {
			$instance_equation = new equation();
		}
		$instance_equation->set_properties_from_form();
		$instance_equation->save();

		$bannette->set_properties_from_form();
		$bannette->save();

		$rqt_bannette_equation = "INSERT INTO bannette_equation (num_bannette, num_equation) VALUES (".$bannette->id_bannette.", $instance_equation->id_equation)" ;
		pmb_mysql_query($rqt_bannette_equation);

		$rqt_bannette_abon = "INSERT INTO bannette_abon (num_bannette, num_empr, actif) VALUES (".$bannette->id_bannette.", $id_empr, 0)" ;
		pmb_mysql_query($rqt_bannette_abon);

		// bannette cre, on supprime le bouton des rech multicritres
		$_SESSION['abon_cree_bannette_priv'] = 0 ;
		print "<br />" ;
		print str_replace("!!nom_bannette!!", $bannette->nom_bannette, $msg['dsi_bannette_creer_resultat']);
		print "<br /><br />" ;
		// pour construction correcte du mail de diffusion
		$liens_opac = array() ;
		$bannette->vider();
		print pmb_bidi($bannette->remplir());
		$bannette->diffuser();
	} else {
		print $equ_human;
		print "<br /><br />".$bannette->get_short_form($equation);
	}
} else {
	// y'a un binz, pas d'quation...
}

print "</div><!-- fermeture #aut_details -->\n";	
?>