<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: notice_display.inc.php,v 1.85.2.1 2017-09-21 09:56:38 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

$libelle = $msg[270];

require_once($base_path.'/includes/templates/notice_display.tpl.php');
require_once($base_path.'/includes/explnum.inc.php');
require_once($base_path.'/classes/notice_affichage.class.php');
require_once($base_path.'/includes/bul_list_func.inc.php');
require_once($base_path.'/classes/upload_folder.class.php');
require_once($base_path.'/classes/record_display.class.php');
require_once($base_path.'/classes/notice_display.class.php');

print $notice_display_header;
if (isset($ref) && $ref) {
	$EAN = '';
	$isbn = '';
	$code = '';

	if(isEAN($ref)) {
		// la saisie est un EAN -> on tente de le formater en ISBN
		$EAN=$ref;
		$isbn = EANtoISBN($ref);
		// si chec, on prend l'EAN comme il vient
		if(!$isbn) {
			$code = str_replace("*","%",$ref);
		}
		else {
			$code=$isbn;
			$code10=formatISBN($code,10);
		}
	} else {
		if(isISBN($ref)) {
			// si la saisie est un ISBN
			$isbn = formatISBN($ref);
			// si chec, ISBN erron on le prend sous cette forme
			if(!$isbn)
				$code = str_replace("*","%",$ref);
			else {
				$code10=$isbn ;
				$code=formatISBN($code10,13);
			}
		} else {
			// ce n'est rien de tout a, on prend la saisie telle quelle
			$code = str_replace("*","%",$ref);
		}
	}

	if ($EAN && $isbn) {
		// cas des EAN purs : constitution de la requte
		$requete = "SELECT notice_id FROM notices  where code in ('$code','$EAN'".($code10?",'$code10'":"").") limit 1";
	} elseif ($isbn) {
		// recherche d'un isbn
		$requete = "SELECT notice_id FROM notices where code in ('$code'".($code10?",'$code10'":"").") limit 1";
	} elseif ($code) {
		$requete = "SELECT notice_id FROM notices where code like '$code' limit 1";
	}
	$res = pmb_mysql_query($requete, $dbh);
	if(pmb_mysql_num_rows($res)) {
		$id=pmb_mysql_result($res,0,0);
	}
}

$id+=0;

if(isset($show_bull) && $show_bull && $id != 0){
	$query = "select bulletin_id from bulletins where num_notice = ".$id;
	$result = pmb_mysql_query($query);
	if(pmb_mysql_num_rows($result)>0){
		header("Location:".$opac_url_base."index.php?lvl=bulletin_display&id=".(pmb_mysql_result($result,0,0)*1));
	}
}

$notice_display = new notice_display($id);
$notice_display->proceed('records');

print $notice_display_footer;